Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class DefaultExtension

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.DefaultExtension

All Implemented Interfaces:
  Extension

    public class DefaultExtension

extends Object
implements Extension

Default implementation of WCS CoverageDescription for handling informations about coverage data backend.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary
`protected double` | `maxScale`
`protected double` | `minScale`
`protected TreeSet<Resolution>` | `resolutions` all resolutions

Fields inherited from interface org.deegree.ogcwebservices.wcs.configuration.Extension
`DATABASEINDEXED, FILEBASED, NAMEINDEXED, ORACLEGEORASTER, SCRIPTBASED, SHAPEINDEXED`

Constructor Summary
`DefaultExtension(String type)` constructor initializing an empty `Extension`
`DefaultExtension(String type, Resolution[] resolutions, double offset, double scaleFactor)` initializing the `Extension` with the passed `Resolution`s

Method Summary
`void` | `addResolution(Resolution resolution)`
`double` | `getMaxScale()` returns the maximum scale of objects that are described by an `Extension` object
`double` | `getMinScale()` returns the minimum scale of objects that are described by an `Extension` object
`double` | `getOffset()` returns the offset of the data. 0 will be returned if no offset is defined.
`Resolution[]` | `getResolutions()` returns all `Resolution`s .
`Resolution[]` | `getResolutions(double scale)` returns the `Resolution`s matching the passed scale.
`double` | `getScaleFactor()` returns the scale factor of the data.
`String` | `getType()` returns the type of the coverage source that is described be an extension
`void` | `setType(String type)` returns the type of the coverage source that is described be an extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resolutions

    protected TreeSet<Resolution> resolutions

  all resolutions

### minScale

    protected double minScale

### maxScale

    protected double maxScale

Constructor Detail

### DefaultExtension

    public DefaultExtension(String type)
                     throws UnknownCVExtensionException

  constructor initializing an empty `Extension`

  Parameters:
    `type` -
  Throws:
    `UnknownCVExtensionException`

### DefaultExtension

    public DefaultExtension(String type,
                            Resolution[] resolutions,
                            double offset,
                            double scaleFactor)
                     throws UnknownCVExtensionException

  initializing the `Extension` with the passed `Resolution`s

  Parameters:
    `type` -
    `resolutions` -
    `offset` -
    `scaleFactor` -
  Throws:
    `UnknownCVExtensionException`

Method Detail

### getType

    public String getType()

  returns the type of the coverage source that is described be an extension

  Specified by:
    `getType` in interface `Extension`
  Returns:
    the type of the coverage source that is described be an extension

### setType

    public void setType(String type)
                 throws UnknownCVExtensionException

  returns the type of the coverage source that is described be an extension. Valid types are:
  - shapeIndexed
  - nameIndexed
  - file
  This list may be extended in future versions of deegree

  Parameters:
    `type` -
  Throws:
    `UnknownCVExtensionException`

### getMinScale

    public double getMinScale()

  returns the minimum scale of objects that are described by an `Extension` object

  Specified by:
    `getMinScale` in interface `Extension`
  Returns:
    the minimum scale of objects that are described by an `Extension` object

### getOffset

    public double getOffset()

  returns the offset of the data. 0 will be returned if no offset is defined. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

  Specified by:
    `getOffset` in interface `Extension`
  Returns:
    the offset

### getScaleFactor

    public double getScaleFactor()

  returns the scale factor of the data. If no scale factor is defined 1 will be returned. Data first must be divided by the scale factor (@see #getScaleFactor()) before sustracting the offset

  Specified by:
    `getScaleFactor` in interface `Extension`
  Returns:
    the scale factor

### getMaxScale

    public double getMaxScale()

  returns the maximum scale of objects that are described by an `Extension` object

  Specified by:
    `getMaxScale` in interface `Extension`
  Returns:
    the maximum scale of objects that are described by an `Extension` object

### getResolutions

    public Resolution[] getResolutions()

  returns all `Resolution`s . If no `Resolution` can be found for the passed scale an empty array will be returned.

  Specified by:
    `getResolutions` in interface `Extension`
  Returns:
    `Resolution`s matching the passed scale

### getResolutions

    public Resolution[] getResolutions(double scale)

  returns the `Resolution`s matching the passed scale. If no `Resolution` can be found for the passed scale an empty array will be returned.

  Specified by:
    `getResolutions` in interface `Extension`
  Parameters:
    `scale` - scale the returned resolutions must fit
  Returns:
    `Resolution`s matching the passed scale

### addResolution

    public void addResolution(Resolution resolution)

  Specified by:
    `addResolution` in interface `Extension`
  Parameters:
    `resolution` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org